# PetscOpenMPRun

runs a function on all the processes of a node

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscOpenMPRun(MPI_Comm comm,PetscErrorCode (*f)(MPI_Comm,void *),void *ptr)

Collective on MPI_Comm

### See Also

PetscOpenMPMerge(), PetscOpenMPNew(), PetscOpenMPFree()

Level:developer
Location: src/sys/objects/mpinit.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages